package com.bonus.sgzb.base.service;

import com.bonus.sgzb.base.api.domain.MaMachine;

import java.util.List;

public interface MaMachineService {
    public List<MaMachine> getMaMachine(MaMachine maMachine);

    public int maMachineAdd(MaMachine maMachine);

    public int remove(Long[] maIds);

    public int updateMaMachine(MaMachine maMachine);

    /**
     * 查询机具设备管理ma_machine
     *
     * @param maId 机具设备管理ma_machine主键
     * @return 机具设备管理ma_machine
     */
    public MaMachine selectMaMachineByMaId(Long maId);

    MaMachine getMachineByQrCode(MaMachine maMachine);
}
